JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
CallOutBox::LookAndFeelMethods Struct Referenceabstract
juce_gui_basics » windows

This abstract base class is implemented by LookAndFeel classes. More...

`#include <juce_CallOutBox.h>`

Inheritance diagram for CallOutBox::LookAndFeelMethods:

## Public Member Functions
virtual | ~LookAndFeelMethods ()=default
virtual void | drawCallOutBoxBackground (CallOutBox &, Graphics &, const Path &, Image &)=0
virtual int | getCallOutBoxBorderSize (const CallOutBox &)=0
virtual float | getCallOutBoxCornerSize (const CallOutBox &)=0

## Detailed Description

This abstract base class is implemented by LookAndFeel classes.

## Constructor & Destructor Documentation

## ◆ ~LookAndFeelMethods()

virtual CallOutBox::LookAndFeelMethods::~LookAndFeelMethods | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ drawCallOutBoxBackground()

virtual void CallOutBox::LookAndFeelMethods::drawCallOutBoxBackground | ( | CallOutBox & | ,
|  | Graphics & | ,
|  | const Path & | ,
|  | Image & | )
| pure virtual

Implemented in LookAndFeel_V4, and LookAndFeel_V2.

## ◆ getCallOutBoxBorderSize()

virtual int CallOutBox::LookAndFeelMethods::getCallOutBoxBorderSize | ( | const CallOutBox & |  | ) |
| pure virtual

Implemented in LookAndFeel_V2.

## ◆ getCallOutBoxCornerSize()

virtual float CallOutBox::LookAndFeelMethods::getCallOutBoxCornerSize | ( | const CallOutBox & |  | ) |
| pure virtual

Implemented in LookAndFeel_V2.

The documentation for this struct was generated from the following file:

- juce_CallOutBox.h